import { useMutation } from "react-query";
import auth from "@react-native-firebase/auth";

export const useSignIn = () => {

  return useMutation({
    mutationKey: ["signIn"],
    mutationFn: async ({
      email,
      password,
    }: {
      email: string;
      password: string;
    }) => {
      await auth().signInWithEmailAndPassword(email, password);
    },
  });
};
